Registrarse
Home
Foros
Miembros
Calendario
Normas
Ayuda

Foros de usuarios de openSUSE
Retroceder   ForoSUSE > Zona Técnica > FAQs, Manuales y Tutoriales


Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook

Respuesta
 
Herramientas Desplegado

DNI-e en Opensuse 42.2.
  #1  
Antiguo 06-may-2017, 16:03
Avatar de soyasi
soyasi soyasi está desconectado
Miembro Senior
 
Fecha de Ingreso: 26-julio-2005
Ubicación: Atlántida
Versión: leap 42.1
Mensajes: 845
Agradecimientos: 184
Agradecido 320 Veces en 219 Mensajes
Poder de Credibilidad: 13
soyasi está en el buen camino
DNI-e en Opensuse 42.2.

Páginas que debemos de tener en cuenta a titulo informativo:

web-cenatic

Código fuente y firma

Repositorios para linux de la página www.dnielectronico.es

Repositorios para linux de la FNMT (Esta al final de la página)

Opensuse 13.2 y 42.1 OpenSUSE_13.2_libpkcs11-dnie-1.4.0-1.x86_64.rpm

Opensuse 42.2
libpkcs11-dnie-1.4.0-1.x86_64.rpm (el enlace de la página esta roto, termine usando el de la 42.1, envié un correo a soporte, pero que hagan caso ya es otra cosa. He dejado el enlace que aparece, por si lo llegan a solucionar))
libpkcs11-fnmtdnie-1.4.0_OpenSUSE_42.2_64bits.rpm El enlace de la FNMT Funciona

Instalación Rápida

En mi caso sustituí pinentry-qt4 por pinentry-qt5 y añadí los siguientes repositorios:

Código:
http://download.opensuse.org/repositories/security:/privacy/openSUSE_Leap_42.2/
http://download.opensuse.org/repositories/security:/chipcard/openSUSE_Leap_42.2/
Cita:
zypper in mozilla-nss-tools gcc gcc-c++ kernel-devel pkg-config autoconf automake docbook-xsl-stylesheets pcsc-lite pcsc-lite-devel pcsc-ccid perl-pcsc libreadline6 readline-devel openssl libopenssl0_9_8 libopenssl-devel pinentry pinentry-gtk2 pinentry-qt5 libtool libltdl7 openct openct-devel pcsc-openct libopenct1 libpth20 libpth-devel
El paquete libpkcs11-dnie hay que instalarlo también: sea del código fuente, vía el rpm de la página o bajando el zip y compilandolo. No he conseguido averiguar en que git o github esta el código fuente.

Para practicar la instalación con el hilo de Manolo Barea (como lo hizo la primera vez)

En el caso de querer usar el código fuente original (el que indicaba Manolo) seguir las indicaciones del siguiente post de Manolo Barea.
Solo he encontrado el paquete que indicaba Manolo en el siguiente enlace --> los demás enlaces aparecen rotos.

Hoy día la versión que está en desarrollo es la 0.16.0 y ya soporta el dnie-tool .


Instalación en Firefox


Para instalar el módulo criptográfico en Firefox, siga los siguientes pasos:

Ir a Preferencias / Avanzado / Cifrado / Dispositivos de seguridad.
Seleccione Cargar.
Dele un nombre al módulo (Por ejemplo "DNIE Módulo P11").
Indique manualmente la ruta del módulo:

/usr/lib64/libpkcs11-fnmtdnie.so ó /usr/lib64/libpkcs11-dnie.so (según de donde hayas descargado el paquete)

Pulse el botón Aceptar

La instalación en Firefox, sigue siendo la misma que explicó en su momento Manolo Barea

Nota:
He creado un patterns-DNI-e, es un patrón que instalaría todo el software complementario o necesario para que funcione correctamente el DNI-e.
Aparte del patrón, hay que instalar igualmente la librería cryptográfica manualmente dependiendo de la distribución. Es decir hay que instalar el paquete libpkcs11, bien de la página FNMT o de la página de dnielectrónico o compilarlo. El patterns también instala los archivos necesarios, en el caso de que tengas que compilarlo de la fuente (si lo revisan y me he dejado alguno atrás avísenme).

Si alguien lo prueba que me diga si funciona correctamente, por ejemplo, con las pruebas que hace Manolo Barea desde consola. (pcsc_scan, dnie-tool -a, pkcs11-tool -IO, pkcs15-tool -D)
__________________
--
hkp://subkeys.pgp.net
GNU/Linux Opensuse leap 42.1 x86_64
Linux Registered User #391410



(http://linuxcounter.net/)

Última edición por soyasi; 07-may-2017 a las 18:56 Razón: complementando la informacion
Responder Citando
Los Siguientes 2 Usuarios Han Dado las Gracias a soyasi Por Este Mensaje:
DiabloRojo (07-may-2017), jesusx (28-may-2017)
  #2  
Antiguo 28-may-2017, 20:28
Avatar de jesusx
jesusx jesusx está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 06-enero-2008
Ubicación: Castellón
Versión: Tumbleweed+Kde
Mensajes: 3.358
Agradecimientos: 323
Agradecido 479 Veces en 397 Mensajes
Poder de Credibilidad: 13
jesusx está en el buen camino
Hola, yo lo tengo todo instalado y creo que bien ahora, no se ya como co... lo he instalado XD...
Lo único es que no quiere aceptar la contraseña, me sale error y no me deja importar el certificado. Ya no se que hacer. En teoría, lo único que me falta como digo, es importar el certificado en : Preferencias/ver certificados/importar, ahí me sale un error que viene diciendo que no se puede importar ya que la contraseña no es correcta pero yo se que sí es correcta, ya que fui a propósito a la policía para comprobarlo. Un saludo.
__________________

Si tienes el vibrato de BB King, el tapping de Van Halen, la velocidad de Malmsteen y la guitarra de Vai... enhorabuena eres un gran imitador.
Responder Citando
  #3  
Antiguo 29-may-2017, 09:38
Avatar de soyasi
soyasi soyasi está desconectado
Miembro Senior
 
Fecha de Ingreso: 26-julio-2005
Ubicación: Atlántida
Versión: leap 42.1
Mensajes: 845
Agradecimientos: 184
Agradecido 320 Veces en 219 Mensajes
Poder de Credibilidad: 13
soyasi está en el buen camino
yo tengo los dos, el del dni-e y el del certificado digital que pides para el navegador e instalas directamente, de este último tuve que hacer varios Backup, hasta que le dío la gana hacer un restore y me dejó instalarlo, pero no es tu caso.

¿Probaste hacer desde consola un
Código:
pkcs11-tool -IO
,
Código:
pcsc_scan
,
Código:
dnie-tool -a
,
Código:
pkcs15-tool -D
con el dni dentro?

Si te funciona con esos comandos en consola, el problema será me imagino del firefox.

Mírate que versión tienes instalada y que todos los paquetes sean de la misma versión.

También comprueba que lo escribes correctamente, ya que a mi me ha pasado alguna vez que tenia activado "caps lock" por defecto, por ese motivo, ya me instalo de serie el plasmoide de "key state" ...

Espero que puedas solventar el inconveniente
__________________
--
hkp://subkeys.pgp.net
GNU/Linux Opensuse leap 42.1 x86_64
Linux Registered User #391410



(http://linuxcounter.net/)
Responder Citando
El Siguiente Usuario Ha Dado las Gracias a soyasi Por Este Mensaje:
jesusx (29-may-2017)
Respuesta

Marcadores

Etiquetas
dni-e


(0 miembros y 1 visitantes)
 
Herramientas
Desplegado

Normas de Publicación
No puedes crear nuevos temas
No puedes responder mensajes
No puedes subir archivos adjuntos
No puedes editar tus mensajes

Los Códigos BB están Activado
Las Caritas están Activado
[IMG] está Activado
El Código HTML está Desactivado

Ir al Foro

Temas Similares
Tema Autor Foro Respuestas Último mensaje
Opensuse 42.2 con EXT4 o Btrfs + XFS el_nuberu Instalación y Actualizaciones 23 02-ene-2017 10:20
Tumbleweed repos... goro Instalación y Actualizaciones 11 03-ene-2014 15:55
Como conseguir instalar opensuse 12.3 en un equipo con windows 8 y tener dual boot oscarpoio FAQs, Manuales y Tutoriales 13 14-dic-2013 11:50
Intalando agente NRPE en suseserver 10 64bits prubilar Seguridad y Servidores 4 27-abr-2012 18:40
Después de instalar suse 11.2 no funciona red local amungar Internet, Redes y Wireless 15 21-nov-2009 08:52



Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook


La franja horaria es GMT +2. Ahora son las 12:06.
Powered by vBulletin™
Copyright © vBulletin Solutions, Inc. All rights reserved.

Esta página está bajo una licencia de Creative Commons, salvo que no se indique lo contrario.
Creative Commons License

Valid CSS!

Diseño por:Designed by: vbdesigns.devbdesigns.de 
Contáctenos - ForoSUSE - Archivo - Declaración de Privacidad - Arriba